

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <div class="content-header">
      <div class="container-fluid">
          <div class="row mb-2">
          <div class="col-sm-6">
             
          </div><!-- /.col -->
          
          </div><!-- /.row -->
      </div><!-- /.container-fluid -->
      </div>
      <!-- /.content-header -->

      <!-- Main content -->
      <section class="content">
          <div class="container-fluid">
          <!-- Small boxes (Stat box) -->
          
          <!-- /.row -->
          <!-- Main row -->
          
          <!-- /.row (main row) -->
          </div><!-- /.container-fluid -->
          <div class="container-fluid">
  
  
  
  
  
  
      <!-- Main content -->
      <section class="content">
          <div class="container-fluid">
          
          <div class="row">
              <div class="col-12">
              
                      <!-- general form elements -->
                      <div class="card card-primary">
                      <div class="card-header">
                          <h3 class="card-title">Modifier les détails de Étudiants</h3>
                      </div>
                      <!-- /.card-header -->
                      <!-- form start -->
                      <form enctype="multipart/form-data">
                          <div class="card-body">
                          <div class="form-group">
                              <label for="Package">Image de profil</label>
                              <div style="float:right;margin-bottom: 30px;">
                              <% if(user.user_photo) {%> 
                                <img src="<%= root_url+"/static/public/"+user.user_photo %>" style="height:150px;width: 180px;" /> 
                                <% } else {%> 
                                    <img src="https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2F365webresources.com%2Fwp-content%2Fuploads%2F2016%2F09%2FFREE-PROFILE-AVATARS.png&f=1&nofb=1" style="height:150px;width: 180px;" />
                                    <% } %> 
                                   
                              </div>
                              <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                  <span class="input-group-text">Télécharger</span>
                                </div>
                                <div class="custom-file">
                                  <input type="file" class="custom-file-input" id="file">
                                  <label class="custom-file-label" for="inputGroupFile01">Choisir le fichier</label>
                                </div>
                              </div>
                              <!-- <input type="file" class="form-control" id="file" placeholder="Choisir le fichier" value="Choisir le fichier"> -->
                             <input type="hidden" class="form-control" id="elementid" placeholder="Enter Package" value=<%= user._id %>>
                          </div>
                          <div class="form-group">
                              <label for="Package">Prénom</label>
                              <input type="email" class="form-control" id="lawyer_first_name" placeholder="Entrez le prénom" value=<%= user.first_name %>>
                             
                          </div>
                          <div class="form-group">
                              <label for="Price">Nom</label>
                              <input type="text" class="form-control" id="lawyer_last_name" placeholder="Entrez le nom de famille" value=<%= user.last_name %>>
                          </div>
                          <div class="form-group">
                              <label for="Duration">Email</label>
                              <input type="text" class="form-control" id="lawyer_email" placeholder="Entrez l'email" value=<%= user.email %>>
                          </div>
                          <div class="form-group">
                            <label for="Duration">Adresse</label>
                            <input type="text" class="form-control" id="Adresse" placeholder="Entrez l'email" value=<%= user.address %>>
                        </div>
                        <div class="form-group">
                           
                            <label for="Duration">Statut</label>
                            <select class="form-control" id="Statut"  >
                                <option value="" disabled selected hidden><%= user.is_active==true ? "Actif" : "Désactivé" %></option>
                                <option value="1" >Actif</option>
                                <option value="0">Désactivé</option>
                            </select>
                        </div>
                          <div class="form-group">
                              <label for="Description">Téléphone</label>
                              <input type="text" class="form-control" id="lawyer_phone" placeholder="Entrez le numéro de téléphone" value=<%= user.phone %>>
                          </div>
                          <div class="form-group">
                              <label for="Package">Date de naissance</label>
                              <input type="date" class="form-control" id="dob" placeholder="Choisissez la date de naissance" value="<%= user.dob %> ">
                            
                          </div>
                          <div class="form-group">
                              <label for="Duration">Reste du mot de passe</label>
                              <input type="text" class="form-control" id="resetpassword" placeholder="Entrez le nouveau mot de passe">
                          </div>
                          
                          
                          </div>
                          <!-- /.card-body -->
          
                          <div class="card-footer">
                          <button type="button" class="btn btn-primary" onclick="handlesubmit()">Mise à jour</button>
                          </div>
                      </form>
                      </div>
                    
              <!-- /.card -->
  
          
              <!-- /.card -->
              </div>
              <!-- /.col -->
          </div>
          <!-- /.row -->
          </div>
          <!-- /.container-fluid -->
      </section>
      <!-- /.content -->
          
   
  
  
  <script>
      $(function () {
      $("#example1").DataTable({
          "responsive": true, "lengthChange": false, "autoWidth": false,
          "buttons": [ "csv", "excel", "colvis"]
      }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      $('#example2').DataTable({
          "paging": true,
          "lengthChange": false,
          "searching": false,
          "ordering": true,
          "info": true,
          "autoWidth": false,
          "responsive": true,
      });
      });
      function handlesubmit(){
          var first_name=document.getElementById("lawyer_first_name").value;
          var last_name=document.getElementById("lawyer_last_name").value;
          var email=document.getElementById("lawyer_email").value;
          var phone=document.getElementById("lawyer_phone").value;
          var dob=document.getElementById("dob").value;
          var Adress=document.getElementById("Adresse").value;
          var Status=document.getElementById("Statut").value;

          var resetpassword=document.getElementById("resetpassword").value;
          var elementid = document.getElementById("elementid").value;
          var formData=new FormData();
            formData.append("first_name",first_name);
            formData.append("last_name",last_name);
            formData.append("email",email);
            formData.append("phone",phone);
            formData.append("dob",dob);
            formData.append("resetpassword",resetpassword);
            formData.append("address",Adress);
            formData.append("status",Status);
          
            const files = document.getElementById("file");
            console.log(files.files,files.value)
            formData.append("file", files.files[0])
            
         
            formData.append("elementid",elementid);
        //   var data = {
        //       "first_name": first_name,
        //       "last_name": last_name,
        //       "email": email,
        //       "phone": phone,
        //       "date_of_registration": date_of_registration,
        //       "status": status,
        //       "dob": dob,
        //       "elementid": elementid,
        //       "profileimage": profileimage
        //   };
          var baseurl= "<%= base_url %>";
          var url= baseurl+"updateuser";
       
          const requestOptions = {
          method: 'POST',
         
          body: formData
      };
      fetch(url, requestOptions)
      .then(response => response.json())
      .then(data => {
          if(data.status){
              toastr.success(data.message);
                setTimeout(function(){
                    window.location.href = baseurl+"users";
                }, 2000);
          }else{
            toastr.error(data.message);
          }
      })
          }

  </script>
  
  
          </div>
      
      </section>
  
      <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  
  </div>
  <!-- ./wrapper -->

